<?php
defined("ECMSAPI_MOD") or exit;

$pinyin = new Overtrue\Pinyin\Pinyin();

$text = $api->post('text' , '' , 'trim');

if($text === ''){
    $api->show('请输入中文内容');
}

showText($text , '当前中文内容');

showText( implode(' ' , $pinyin->convert($text)) , '不带声调');

showText( implode(' ' , $pinyin->convert($text , PINYIN_UNICODE)) , '带声调');

showText($pinyin->abbr($text) , '首字母');

showText( implode(' ' , $pinyin->name($text , PINYIN_UNICODE)) , '姓名翻译 姓名的姓的读音有些与普通字不一样，比如 ‘单’ 常见的音为 dan，而作为姓的时候读 shan。');

function showText($text , $title = ''){
    echo '<h5 style="color: #999;">'.$title.'</h5>';
    echo '<div class="alert alert-warning">'.$text.'</div>';
}

